### Method

# FwupdPlugin Device set_proxy_guid

since: 1.4.1

#### Declaration [src]

    void
    fu_device_set_proxy_guid (
      FuDevice* self,
      const gchar* proxy_guid
    )

#### Description [src]

Sets the GUID of the proxy device. The proxy device may update `self`.

Available since: 1.4.1

#### Parameters

`proxy_guid`

  Type: `const gchar*`

  A string, e.g. `USB\VID_413C&PID_B06E&hub`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.